=== debian/changelog ===
libdogleg (0.08-1) unstable; urgency=low

  * Initial Debian release (Closes: #692088)

 -- Dima Kogan <dima@secretsauce.net>  Mon, 12 Nov 2012 00:25:29 -0800
