=== debian/watch ===
version = 3
https://github.com/dkogan/libdogleg/tags .*/tarball/v(\d[\d\.]+)
