=== debian/changelog ===
libdogleg (0.09-2build2) xenial; urgency=medium

  * No-change rebuild for libcholmod transition.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Feb 2016 10:56:03 +0000

libdogleg (0.09-2build1) xenial; urgency=medium

  * No-change rebuild against suitesparse 1:4.4.5-2

 -- Graham Inggs <graham@nerve.org.za>  Tue, 01 Dec 2015 13:48:26 +0200

libdogleg (0.09-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable for suitesparse 4.4 transition.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 21 Nov 2015 16:06:06 +0100

libdogleg (0.09-1) experimental; urgency=medium

  * Build now works with both suitesparse 2.2 and 2.4 (Closes: #793764)

 -- Dima Kogan <dima@secretsauce.net>  Mon, 24 Aug 2015 21:38:21 -0700

libdogleg (0.08-3) unstable; urgency=low

  * Moved all docs, examples to libdogleg-doc (Closes: #735205)

 -- Dima Kogan <dima@secretsauce.net>  Mon, 13 Jan 2014 14:38:58 -0800

libdogleg (0.08-2) unstable; urgency=low

  * libdogleg is now Priority: optional
  * libdogleg is now Multi-arch:same

 -- Dima Kogan <dima@secretsauce.net>  Sun, 12 Jan 2014 23:18:46 -0800
