=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	pod2html --title=libdogleg README.pod > libdogleg.html

override_dh_strip:
	dh_strip --dbg-package=libdogleg2-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -f libdogleg.html pod2htm*.tmp
