=== debian/watch ===
version = 3
https://github.com/dkogan/libdogleg/tags .*/libdogleg/archive/v(\d[\d\.]+).tar.gz
