## libdogleg 0.14

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 FLAGS += -ggdb  -Wall -Wextra -MMD $(OPTFLAGS) -I/usr/include/suitesparse
 CFLAGS += $(FLAGS) --std=gnu99
 
-LDLIBS += -lcholmod
+LDLIBS += -lcholmod -lsuitesparseconfig -llapack
 LDLIBS += -lm
 
 LIB_TARGETS = libdogleg.a $(TARGET_SO_BARE) $(TARGET_SO_FULL) $(TARGET_SO_SONAME)
