=== debian/changelog ===
libdogleg (0.14-1) unstable; urgency=medium

  * Minor upstream update
    - gradient-testing reports are now printed in an easy-to-parse asciilog
    - CHOLMOD error callback now uses the standardized wrapped print

 -- Dima Kogan <dkogan@debian.org>  Mon, 12 Feb 2018 23:16:29 -0800

libdogleg (0.13-2) unstable; urgency=medium

  * migrated to new auto-generated debug symbol packages

 -- Dima Kogan <dkogan@debian.org>  Sun, 17 Sep 2017 02:33:32 -0700

libdogleg (0.13-1) unstable; urgency=medium

  * Upstream update
    - Added support for solving DENSE optimization problems in addition to
      sparse ones
    - Improved diagnostic printing: no console output if no errors and if
      no debug logging is requested
    - Exposed a function to compute the Cholesky factorization of JtJ
    - Clarified gradient reporting
    - Updated cholmod #includes to work without any -I flags
  * Added symbols file
  * Added the bindnow hardening flag

 -- Dima Kogan <dkogan@debian.org>  Sun, 17 Sep 2017 02:12:57 -0700
