=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libdogleg
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9), dh-exec, libsuitesparse-dev | libsuitesparse-metis-dev
+Build-Depends: debhelper (>= 9.20160114), dh-exec, libsuitesparse-dev | libsuitesparse-metis-dev
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Dima Kogan <dima@secretsauce.net>
+Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 3.9.6
 Homepage: https://github.com/dkogan/libdogleg
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/libdogleg.git
@@ -62,21 +62,3 @@
  efficiently solving very large problems.
  .
  Development files
-
-Package: libdogleg2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, libdogleg2 (= ${binary:Version})
-Description: Powell's dog-leg nonlinear least squares solver for sparse matrices
- Solves unconstrained nonlinear least squares problems using Powell's dog-leg
- method. The user specifies a callback C function that returns the value and
- gradients of the model function at a particular operating point. This library
- takes a series of dog-leg steps to find a local minimum of the residual
- surface.
- .
- This library works with sparse matrices, which makes it suitable for
- efficiently solving very large problems.
- .
- Debug symbols
