## libdogleg 0.15.4

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 # Add my optimization flags if none already exist. These could exist if debian
 # packages are built.
-OPTFLAGS := $(if $(filter -O%, $(CFLAGS)),,-O3 -ffast-math -mtune=core2)
+OPTFLAGS := $(if $(filter -O%, $(CFLAGS)),,-O3 -ffast-math -mtune=core2) -fno-omit-frame-pointer
 
 FLAGS += -ggdb  -Wall -Wextra -MMD $(OPTFLAGS) -I/usr/include/suitesparse
 CFLAGS += $(FLAGS) --std=gnu99
@@ -42,7 +42,7 @@
 MAN_SECTION = 3
 MAN_TARGET = libdogleg.$(MAN_SECTION)
 
-ALL_TARGETS = $(LIB_TARGETS) $(MAN_TARGET)
+ALL_TARGETS = $(LIB_TARGETS) $(MAN_TARGET) sample
 
 all: $(ALL_TARGETS)
