=== debian/changelog ===
libdogleg (0.15.4-2) unstable; urgency=medium

  * Fixed watch file

 -- Dima Kogan <dkogan@debian.org>  Thu, 11 Nov 2021 22:24:27 -0800

libdogleg (0.15.4-1) unstable; urgency=medium

  * New upstream release
    - added experimental outlier-rejection logic. Not stable and not fully
      documented
    - verbose output has a mode to output vnlog
    - Added dogleg_optimize2() and dogleg_optimize_dense2() entry points
      that use local parameters

 -- Dima Kogan <dkogan@debian.org>  Fri, 11 Dec 2020 15:41:39 -0800

libdogleg (0.15-1) unstable; urgency=medium

  * updated Vcs tags to salsa
  * New upstream version 0.15

 -- Dima Kogan <dkogan@debian.org>  Wed, 08 Aug 2018 16:11:27 -0700
