=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 3.9.6
 Homepage: https://github.com/dkogan/libdogleg
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/libdogleg.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/libdogleg.git
+Vcs-Git: https://salsa.debian.org/science-team/libdogleg.git
+Vcs-Browser: https://salsa.debian.org/science-team/libdogleg
 
 Package: libdogleg2
 Section: libs
