=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	pod2html --title=libdogleg README.pod > libdogleg.html

override_dh_strip:
	dh_strip --dbgsym-migration='libdogleg2-dbg (<< 0.13-2~)'

override_dh_auto_clean:
	dh_auto_clean
	rm -f libdogleg.html pod2htm*.tmp
