=== debian/changelog ===
libdogleg (0.16-4) unstable; urgency=medium

  * moved dogleg.h to /usr/include to be compatible with the older
    libdogleg-dev packages

 -- Dima Kogan <dkogan@debian.org>  Tue, 18 Jul 2023 22:38:00 -0700

libdogleg (0.16-3) unstable; urgency=medium

  * Added forgotten Breaks, Replaces tags (Closes: #1041410)

 -- Dima Kogan <dkogan@debian.org>  Tue, 18 Jul 2023 21:16:31 -0700

libdogleg (0.16-2) unstable; urgency=medium

  * libdogleg-doc package removed: documentation lives in libdogleg-dev
  * Minor cleanup by the Debian janitor

 -- Dima Kogan <dkogan@debian.org>  Mon, 17 Jul 2023 10:37:41 -0700

libdogleg (0.16-1) unstable; urgency=medium

  * New upstream release
    - Using mrbuild build system
    - I no longer build static libraries
    - Build against suiteparse 7 fixed (Closes: #1041059)

 -- Dima Kogan <dkogan@debian.org>  Mon, 17 Jul 2023 09:51:56 -0700
