=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libdogleg
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9.20160114), dh-exec, libsuitesparse-dev | libsuitesparse-metis-dev
+Build-Depends: debhelper-compat (= 13), libsuitesparse-dev | libsuitesparse-metis-dev,
+               mrbuild
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 3.9.6
@@ -25,32 +26,14 @@
  This library works with sparse matrices, which makes it suitable for
  efficiently solving very large problems.
 
-Package: libdogleg-doc
-Section: doc
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Replaces: libdogleg-dev (<< 0.08-3) 
-Breaks: libdogleg-dev (<< 0.08-3) 
-Description: Powell's dog-leg nonlinear least squares solver for sparse matrices
- Solves unconstrained nonlinear least squares problems using Powell's dog-leg
- method. The user specifies a callback C function that returns the value and
- gradients of the model function at a particular operating point. This library
- takes a series of dog-leg steps to find a local minimum of the residual
- surface.
- .
- This library works with sparse matrices, which makes it suitable for
- efficiently solving very large problems.
- .
- This package contains the documentation
-
 Package: libdogleg-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libdogleg2 (= ${binary:Version}),
-         libdogleg-doc,
          libsuitesparse-dev | libsuitesparse-metis-dev
+Replaces: libdogleg-doc (<< 0.16-2)
+Breaks:   libdogleg-doc (<< 0.16-2)
 Description: Powell's dog-leg nonlinear least squares solver for sparse matrices
  Solves unconstrained nonlinear least squares problems using Powell's dog-leg
  method. The user specifies a callback C function that returns the value and
