=== debian/watch ===
version=4
opts=dversionmangle=s/(?:\+dfsg|\+repack).*$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libdogleg-$1\.tar\.gz/ \
  https://github.com/dkogan/libdogleg/tags .*/v?(\d\S+)\.tar\.gz
