## libdogleg 0.17

=== debian/changelog ===
libdogleg (0.17-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Fri, 02 Jan 2026 21:03:47 -0800
