## libdogleg 0.18

=== Makefile ===
--- 
+++ 
@@ -11,17 +11,25 @@
   dogleg.c
 
 BIN_SOURCES += \
-  sample.c
+  sample.c \
+  test-misc.c
+
+# I do not distribute ANY binaries
+DIST_BIN_EXCEPT := *
 
 DIST_INCLUDE += \
   dogleg.h
 
-LDLIBS += -lcholmod -llapack
+LDLIBS += -lcholmod -llapack -lsuitesparseconfig
 LDLIBS += -lm
 
-CFLAGS += -Wall -Wextra -I/usr/include/suitesparse
+CFLAGS += -Wall -Wextra
 
 sample.o: CFLAGS += -I.
+
+check: sample test-misc
+	./check.sh
+.PHONY: check
 
 MAN_SECTION := 3
 MAN_TARGET  := libdogleg.$(MAN_SECTION)
