=== debian/changelog ===
libdogleg (0.18-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Thu, 08 Jan 2026 14:49:46 -0800
