=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13), libsuitesparse-dev | libsuitesparse-metis-dev,
+               zsh <!nocheck>,
                mrbuild
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
